#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		uname		%(echo %{name}|sed 's/./\\U&/1'|sed 's/./\\U&/2')
#-----------------------------------------------------------------------------
Name		:	glm
Version		:	0.9.9.8
Release		:	14.4.0.0%{?dist}
Summary		:	C++ mathematics library for graphics software based on the OpenGL Shading Language (GLSL) 

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://github.com/g-truc/glm/

Source0		:	%{name}-%{version}.tar.gz
Patch0		:	%{name}-%{version}-install.patch
Patch1		:	%{name}-%{version}-noarch.patch
#-----------------------------------------------------------------------------
Buildrequires	:	cmake

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
'%{glm}' is a C++ library for doing mathematics operations
required in many OpenGL based applications. Its interface
has been designed to resemble the built-in matrix and vector
types of the OpenGL shading language.
 
#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_includedir}/%{name}/*
%{_libdir}/cmake/%{name}/%{name}*.cmake

#=============================================================================
%prep
%setup -q
%patch0	-p1
%patch1	-p1

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir} build
pushd build
cmake								\
	-DCMAKE_INSTALL_PREFIX=%{_prefix}			\
	-DCMAKE_INSTALL_LIBDIR=lib				\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}

popd
#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	-C build						\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%changelog
